1. Airtime Purchase
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
    • Transactions Response Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • ZamuPay Server To Server Card Integration
      • Overview
      • 1. Authentication
        • Generate Auth Token
      • 2. Capture Context
        • Generate Capture Context
      • 3. Core Payment Flow
        • Payment Authorisation
        • Payment Capture
        • Payment Void
        • Payment Refund
      • 4. 3D Secure (Payer Authentication)
        • 3DS Setup
        • 3DS Enrolment Check
        • 3DS Validate Result
      • 5. Decision Manager (Fraud Screening)
        • Fraud Screen Transaction
      • 6. Payment Instruments (Card Tokenisation)
        • Save Card
        • Retrieve Saved Card
        • Delete Saved Card
      • 7. Transaction Search
        • Query Transactions
        • Get Transaction by ID
      • 8. Webhooks
        • Register Webhook Endpoint
        • List Registered Webhooks
        • Delete Webhook Endpoint
    • Cards Processing
      • Overview
      • Checkout Order Request
      • Query Checkout Request
      • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
        POST
      • Find Airtime Purchases By OriginatorConversationId
        GET
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Airtime Purchase

Airtime Purchase

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
POST
/v1/airtime-purchase
This is a POST request that is responsible for airtime purchases.

Sample request#

{
{
  "originatorConversationId": "{{$guid}}",
  "callbackURL": "https://en1ezbmu2vsd.x.pipedream.net",
  "recipients": [
    {
      "currencyCode": "KES",
      "phoneNumber": "254700000000",
      "amount": 99,
      "name": "Jojo Siwa"
    }
  ]
}

Sample response#

{
{
    "message": {
        "systemConversationId": "01000000-0105-0a00-6bc1-08de9bedbeee",
        "originatorConversationId": "01000000-0105-0a00-6bc1-08de9bedbee",
        "remarks": "Airtime Purchase Accepted",
        "timestamp": "2026-04-16T19:24:15.3381289Z",
        "appDomainName": "TEST"
    }
}

Data Definition#

Field nameData typeOptions
recipientNamestringmandatory
recipientPhoneNumberstringmandatory
recipientccystringmandatory
amountintegermandatory
callBackUrlstringmandatory

Description#

CurrencyCode: country code
PhoneNumber: phone number used in the airtime purchase
Amount: Airtime bought
Name: name of the person who purchased the airtime
OriginatorConversationId: this is the unique transaction identifier generated by Zamupay
CallbackURL: This is where you will receive the callback

Request

Authorization
Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.zamupay.com/v1/airtime-purchase' \
--header 'Content-Type: application/json' \
--data '{
    "originatorConversationId": "string",
    "callbackURL": "http://example.com",
    "recipients": [
        {
            "currencyCode": "string",
            "phoneNumber": "string",
            "amount": 0,
            "name": "string"
        }
    ]
}'
Response Response Example
{}
Modified at 2026-04-16 19:28:35
Previous
Overview
Next
Find Airtime Purchases By OriginatorConversationId
Built with